IP Detection

查詢歷史

您過往的查詢紀錄,按時間倒序排列。

列出過往查詢

GET/v1/ip/history
API 金鑰不計入用量

參數

  • limitinteger查詢

    每頁筆數,最多 100。

  • beforeinteger查詢

    回傳早於此 id 的項目,用於分頁。

  • verdictstring查詢

    只回傳該網絡類別的查詢。

回應欄位

  • events[].idinteger

    事件 id,用作分頁游標。

  • events[].atstring

    查詢的時間。

  • events[].targetstring

    查詢的對象,與提交時一致。

  • events[].ipstring

    被偵測的 IP 位址。

  • events[].verdictstring

    residential_clean、mobile、hosting、datacenter、vpn、residential_proxy、tor、relay 或 unknown。

  • events[].confidencenumber

    信心分數,範圍 0 至 1。

  • events[].asnstring

    自治系統號碼,例如 AS15169。

  • events[].countrystring

    兩位 ISO 國家代碼。

  • events[].sourcestring

    api 或 dashboard。

  • nextBeforeinteger

    作為 before 傳入以取得下一頁;0 表示沒有更多。

  • asOfstring

    回應產生的時間。

curl "https://ipscanner.io/v1/ip/history?limit=2&verdict=vpn" \
  -H "Authorization: Bearer YOUR_API_KEY"
回應
{
  "events": [
    {
      "id": 48213,
      "at": "2026-10-06T14:02:11Z",
      "target": "198.51.100.23",
      "ip": "198.51.100.23",
      "verdict": "vpn",
      "confidence": 0.92,
      "asn": "AS9009",
      "asnName": "M247 Europe SRL",
      "country": "NL",
      "anonymized": true,
      "source": "api"
    },
    {
      "id": 48177,
      "at": "2026-10-06T13:40:52Z",
      "target": "203.0.113.88",
      "ip": "203.0.113.88",
      "verdict": "vpn",
      "confidence": 0.88,
      "asn": "AS60068",
      "asnName": "Datacamp Limited",
      "country": "GB",
      "anonymized": true,
      "source": "dashboard"
    }
  ],
  "nextBefore": 48177,
  "asOf": "2026-10-06T14:05:00Z"
}